<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ObjectMapperHelper.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.util.mappers</a> &gt; <span class="el_source">ObjectMapperHelper.java</span></div><h1>ObjectMapperHelper.java</h1><pre class="source lang-java linenums">package com.bbva.pzic.listHistoricalLettersSummaries.util.mappers;

import java.io.IOException;
import java.io.InputStream;
import java.text.SimpleDateFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;

public class ObjectMapperHelper {
<span class="fc" id="L12">    private static final ObjectMapperHelper INSTANCE = new ObjectMapperHelper();</span>
    private final ObjectMapper mapper;

<span class="fc" id="L15">    private ObjectMapperHelper() {</span>
<span class="fc" id="L16">        this.mapper = new ObjectMapper();</span>
<span class="fc" id="L17">        this.mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);</span>
<span class="fc" id="L18">        this.mapper.setDateFormat(new SimpleDateFormat(&quot;yyyy-MM-dd&quot;));</span>
<span class="fc" id="L19">        this.mapper.setSerializationInclusion(JsonInclude.Include.NON_EMPTY);</span>
<span class="fc" id="L20">    }</span>

    public static ObjectMapperHelper getInstance() {
<span class="fc" id="L23">        return INSTANCE;</span>
    }

    public String writeValueAsString(final Object value) throws IOException {
<span class="nc" id="L27">        return mapper.writeValueAsString(value);</span>
    }

    public &lt;T&gt; T convertValue(final Object fromValue, final Class&lt;T&gt; toValueType) {
<span class="nc" id="L31">        return mapper.convertValue(fromValue, toValueType);</span>
    }

    public &lt;T&gt; T readValue(final String content, final Class&lt;T&gt; valueType) throws IOException {
<span class="nc" id="L35">        return mapper.readValue(content, valueType);</span>
    }

    public &lt;T&gt; T readValue(final InputStream src, final Class&lt;T&gt; valueType) throws IOException {
<span class="nc" id="L39">        return mapper.readValue(src, valueType);</span>
    }

    public &lt;T&gt; T readValue(final InputStream src, final TypeReference&lt;T&gt; valueTypeRef) throws IOException {
<span class="nc" id="L43">        return mapper.readValue(src, valueTypeRef);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>